Creates a new unavailability type
Request Information
URI Parameters :
None.
Body Parameters :
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "cc96ff1a-0fed-45d7-86ec-22b5b6be3e33",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "08553667-3eed-4d2f-82bf-49422b38c32a",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "f1d163b6-34ab-48ca-9742-773c78109306",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ef529936-9f63-4468-997a-589f1e4a16a3",
"db_currency_id": "f701b3a6-9887-41a7-9bc5-412f87dc36ce",
"db_language_id": "85668d67-5965-41c5-a3e4-b73310dc3544",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T14:44:31.5878182+00:00"
},
"modified_dateutc": "2026-11-02T14:44:31.5878182+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.